Subject: RE: find.exe truncating search on <foo>/<foo>
From: [email-masked] (Sergey Okhapkin)

24 Jun 1997 23:43:52 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "[email-masked]" <[email-masked]>,
        "[email-masked]" <[email-masked]>
Original-Cc: "'Geoffrey Noer'" <[email-masked]>
Encoding: 17 TEXT
Original-Sender: [email-masked]

Michael A. Chase wrote:
> This might be deeper than just the find command.  When I tried to delete 
a
> directory tree with rm -r, it aborted when it came across subdirectories
> with the same name as one of their ancestors (e.g., perl5/lib/perl5). 
 I'm
> using the b18 binaries I downloaded from Cygnus.

Rm uses inode numbers to manipulate with files. Cygwin.dll emulates inode 
numbers as a relative filename hash. Geoffrey, the hash function must use 
the full filename!

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".